#version 430 core

in VertexData {
	vec3 position_world;
	vec3 normal_world;
	vec2 uv;
} vert;

// out vec4 color;
layout (location = 0)  out vec4 color;
layout (location = 1)  out vec4 bright;


void main() {	
	// first, simple proceduarl 
	float a = floor(vert.position_world.x * 0.6);
	float b = floor(vert.position_world.y * 0.6);
	if (mod(a+b, 2.0) > 0.5) {  // a+b is odd
	    color = vec4(1.0, 0.5, 0.5, 1.0); // pink
	}
	else {  // a+b is even
	    color = vec4(0.6, 0.6, 1.0, 1.0); // light blue
	}

	bright = vec4(0.0f);

}


